groovy.lang.groovydoc

## Interface GroovydocHolder<T>

- All Known Implementing Classes:
    AnnotatedNode, AnnotationConstantExpression, ArgumentListExpression, ArrayExpression, AttributeExpression, BinaryExpression, BitwiseNegationExpression, BooleanExpression, BytecodeExpression, CastExpression, ClassExpression, ClassNode, ClosureExpression, ClosureListExpression, CompareIdentityExpression, CompareToNullExpression, CompileUnit.ConstructedOuterNestedClassNode, ConstantExpression, ConstructorCallExpression, ConstructorNode, DeclarationExpression, DecompiledClassNode, ElvisOperatorExpression, EmptyExpression, EnumConstantClassNode, Expression, ExpressionAsVariableSlot, ExtensionMethodNode, FieldExpression, FieldNode, GStringExpression, ImportNode, InnerClassNode, InterfaceHelperClassNode, LambdaExpression, ListExpression, ListOfExpressionsExpression, MapEntryExpression, MapExpression, MethodCallExpression, MethodNode, MethodPointerExpression, MethodReferenceExpression, MixinNode, NamedArgumentListExpression, NotExpression, PackageNode, Parameter, PostfixExpression, PrefixExpression, PropertyExpression, PropertyNode, RangeExpression, SpreadExpression, SpreadMapExpression, StaticMethodCallExpression, TemporaryVariableExpression, TernaryExpression, TupleExpression, UnaryMinusExpression, UnaryPlusExpression, VariableExpression, VariableSlotLoader, WideningCategories.LowestUpperBoundClassNode

      public interface GroovydocHolder<T>

  Represents Groovydoc Holder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOC_COMMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Groovydoc` | `getGroovydoc()` Get the groovydoc
    `T` | `getInstance()` Get GroovydocHolder instance

- - ### Field Detail

    - #### DOC_COMMENT

          static final String DOC_COMMENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGroovydoc

          Groovydoc getGroovydoc()

      Get the groovydoc
      Returns:
        the groovydoc

    - #### getInstance

          T getInstance()

      Get GroovydocHolder instance
      Returns:
        GroovydocHolder instance